%define anolis_release 2

Summary: Basic networking tools
Name: net-tools
Version: 2.10
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: http://sourceforge.net/projects/net-tools/

Source0: net-tools-%{version}.tar.xz
Source1: arp-ethers.service

# sync from suse
Patch0: net-tools-configure.patch
Patch1: 0001-Add-ether-wake-binary.patch 

BuildRequires: make
BuildRequires: bluez-libs-devel
BuildRequires: gettext
BuildRequires: libselinux
BuildRequires: libselinux-devel
BuildRequires: systemd
BuildRequires: gcc
%{?systemd_requires}

%description
The net-tools package contains basic networking tools,
including ifconfig, netstat, route, and others.
Most of them are obsolete. For replacement check iproute package.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} config
make %{?_smp_mflags}

%install
mv man/de_DE man/de
mv man/fr_FR man/fr
mv man/pt_BR man/pt

make BASEDIR=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} install

mv %{buildroot}%{_bindir}/ifconfig %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/route %{buildroot}%{_sbindir}

rm %{buildroot}%{_sbindir}/rarp
rm %{buildroot}%{_mandir}/man8/rarp.8*
rm %{buildroot}%{_mandir}/de/man8/rarp.8*
rm %{buildroot}%{_mandir}/fr/man8/rarp.8*
rm %{buildroot}%{_mandir}/pt/man8/rarp.8*

# otherwise %%find_lang finds them even they're empty
rm -rf %{buildroot}%{_mandir}/de/man1
rm -rf %{buildroot}%{_mandir}/fr/man1
rm -rf %{buildroot}%{_mandir}/man1
rm -rf %{buildroot}%{_mandir}/pt/man1
rm -rf %{buildroot}%{_mandir}/pt/man5

# install systemd unit file
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/arp-ethers.service

%find_lang %{name} --all-name --with-man

%generate_compatibility_deps

%post
%systemd_post arp-ethers.service

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_bindir}/netstat
%{abidir}/arp-option.list
%{abidir}/ifconfig-option.list
%{abidir}/ipmaddr-option.list
%{abidir}/iptunnel-option.list
%{abidir}/nameif-option.list
%{abidir}/netstat-option.list
%{abidir}/plipconfig-option.list
%{abidir}/route-option.list
%{_sbindir}/ifconfig
%{_sbindir}/route
%{_sbindir}/arp
%{_sbindir}/ether-wake
%{_sbindir}/ipmaddr
%{_sbindir}/iptunnel
%{_sbindir}/nameif
%{_sbindir}/plipconfig
%{_sbindir}/slattach
%{_mandir}/man[58]/*

%attr(0644,root,root)   %{_unitdir}/arp-ethers.service

%files doc
%doc THANKS README TODO 

%changelog
* Wed Feb 08 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 2.10-2
- Add doc package
- Add abi file

* Thu Jan 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.10-1
- init from upstream 2.10
- add patches to pass build and add ether-wake
